/* 

Copyright (C) 2003-2004 Yves Schmid (www.garagecube.com)

Author(s): Yves Schmid

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the     GNU General Public License for more details.

You should have received a copy of the GNU General Public Licensealong with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/


#import <Cocoa/Cocoa.h>

class OMediaCanvas;

@class CosmicOpenGLView;

@interface CosmicDocument : NSDocument
{
	IBOutlet NSTextField			*infoTextField;
	IBOutlet NSTabView				*infoTabView;
	
	IBOutlet NSPanel				*exportMoviePanel;
	IBOutlet NSTextField			*exportMovieDuration;
	IBOutlet NSMatrix				*exportFps;

	IBOutlet NSProgressIndicator	*exportMovieProgress;


    IBOutlet CosmicOpenGLView 		*mainView;
	float							setRotateSpeed;

	float							setPX;
	float							setPY;
	float							setPZ;

	float							setAX;
	float							setAY;
	float							setAZ;
			
	float							setScrollSpeed;
		
	float							setScaleSpeed;
	float							setScaleStart;
	float							setScaleEnd;
	bool							setScalePingpong;

	double							setFPSFactor;
	OMediaCanvas					*setCanvas;
}

-(IBAction)updateInfoText:(id)sender;

@end

